<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>BX.UniCap.RemExt</name>
<version>1</version>
<engineversion>32</engineversion>
<description>Remove percentage of installed extensions. Unified Capture</description>
<arguments>
</arguments>
<sourcetext>
<line linenr="001" indent=""><var>$Target&#160;=&#160;</var><text>get&#160;global&#160;variable:&#160;name=</text><var>'BX.UniCap.Target'</var></line>
<line linenr="002" indent=""><var>if&#160;not&#160;</var><var>$Target&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="003" indent="&#160;"><text>return&#160;</text><var>null</var></line>
<line linenr="004" indent=""><text>end</text></line>
<line linenr="005" indent=""></line>
<line linenr="006" indent=""><var>$HullPct&#160;=&#160;</var><text>get&#160;global&#160;variable:&#160;name=</text><var>'BX.UniCap.HullPct'</var></line>
<line linenr="007" indent=""></line>
<line linenr="008" indent=""><var>$WareArray&#160;=&#160;</var><text>&#160;array&#160;alloc:&#160;size=</text><var>0</var></line>
<line linenr="009" indent=""><var>$AmountArray&#160;=&#160;</var><text>&#160;array&#160;alloc:&#160;size=</text><var>0</var></line>
<line linenr="010" indent=""><var>$WaresAmt&#160;=&#160;</var><var>0</var></line>
<line linenr="011" indent=""></line>
<line linenr="012" indent=""><var>$MainType&#160;=&#160;</var><var>16</var></line>
<line linenr="013" indent=""><var>$NumSubs&#160;=&#160;</var><text>&#160;get&#160;number&#160;of&#160;subtypes&#160;of&#160;maintype&#160;</text><var>$MainType</var></line>
<line linenr="014" indent=""></line>
<line linenr="015" indent=""><var>$SubType&#160;=&#160;</var><var>$NumSubs</var></line>
<line linenr="016" indent=""><var>while&#160;</var><var>$SubType</var></line>
<line linenr="017" indent="&#160;"><text>dec&#160;</text><var>$SubType&#160;=&#160;</var></line>
<line linenr="018" indent="&#160;"><var>$Type&#160;=&#160;</var><text>&#160;get&#160;ware&#160;from&#160;maintype&#160;</text><var>$MainType</var><text>&#160;and&#160;subtype&#160;</text><var>$SubType</var></line>
<line linenr="019" indent="&#160;"><var>if&#160;</var><var>$Target&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="020" indent="&#160;&#160;"><var>$Amount&#160;=&#160;</var><var>$Target&#160;-&gt;</var><text>&#160;get&#160;amount&#160;of&#160;ware&#160;</text><var>$Type</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="021" indent="&#160;"><text>else</text></line>
<line linenr="022" indent="&#160;&#160;"><text>return&#160;</text><var>null</var></line>
<line linenr="023" indent="&#160;"><text>end</text></line>
<line linenr="024" indent="&#160;"><var>if&#160;</var><var>$Amount</var><text>&#160;</text><var>&gt;</var><text>&#160;</text><var>0</var></line>
<line linenr="025" indent="&#160;&#160;"></line>
<line linenr="026" indent="&#160;&#160;"><var>if&#160;</var><var>$SubType</var><text>&#160;</text><var>&lt;=</var><text>&#160;</text><var>45</var><text>&#160;</text><var>AND</var><text>&#160;</text><var>$SubType</var><text>&#160;</text><var>&gt;=</var><text>&#160;</text><var>42</var></line>
<line linenr="027" indent="&#160;&#160;&#160;"><text>goto&#160;label&#160;</text><var>Skip</var></line>
<line linenr="028" indent="&#160;&#160;"><text>end</text></line>
<line linenr="029" indent="&#160;&#160;"></line>
<line linenr="030" indent="&#160;&#160;"><var>if&#160;</var><var>$SubType</var><text>&#160;</text><var>==</var><text>&#160;</text><var>39</var></line>
<line linenr="031" indent="&#160;&#160;&#160;"><text>goto&#160;label&#160;</text><var>Skip</var></line>
<line linenr="032" indent="&#160;&#160;"><text>end</text></line>
<line linenr="033" indent="&#160;&#160;"></line>
<line linenr="034" indent="&#160;&#160;"><var>if&#160;</var><var>$SubType</var><text>&#160;</text><var>&lt;=</var><text>&#160;</text><var>30</var><text>&#160;</text><var>AND</var><text>&#160;</text><var>$SubType</var><text>&#160;</text><var>&gt;=</var><text>&#160;</text><var>26</var></line>
<line linenr="035" indent="&#160;&#160;&#160;"><var>if&#160;</var><var>$Target&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="036" indent="&#160;&#160;&#160;&#160;"><var>=&#160;</var><var>$Target&#160;-&gt;</var><text>&#160;install&#160;</text><var>-1</var><text>&#160;units&#160;of&#160;</text><var>$Type</var></line>
<line linenr="037" indent="&#160;&#160;&#160;"><text>else</text></line>
<line linenr="038" indent="&#160;&#160;&#160;&#160;"><text>return&#160;</text><var>null</var></line>
<line linenr="039" indent="&#160;&#160;&#160;"><text>end</text></line>
<line linenr="040" indent="&#160;&#160;&#160;"><text>goto&#160;label&#160;</text><var>Skip</var></line>
<line linenr="041" indent="&#160;&#160;"><text>end</text></line>
<line linenr="042" indent="&#160;&#160;"></line>
<line linenr="043" indent="&#160;&#160;"><var>if&#160;</var><var>$SubType</var><text>&#160;</text><var>&lt;=</var><text>&#160;</text><var>18</var><text>&#160;</text><var>AND</var><text>&#160;</text><var>$SubType</var><text>&#160;</text><var>&gt;=</var><text>&#160;</text><var>16</var></line>
<line linenr="044" indent="&#160;&#160;&#160;"><var>if&#160;</var><var>$Target&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="045" indent="&#160;&#160;&#160;&#160;"><var>$Amount&#160;=&#160;</var><var>$Target&#160;-&gt;</var><text>&#160;get&#160;amount&#160;of&#160;ware&#160;</text><var>$Type</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="046" indent="&#160;&#160;&#160;"><text>else</text></line>
<line linenr="047" indent="&#160;&#160;&#160;&#160;"><text>return&#160;</text><var>null</var></line>
<line linenr="048" indent="&#160;&#160;&#160;"><text>end</text></line>
<line linenr="049" indent="&#160;&#160;&#160;"><var>$AddNeg&#160;=&#160;</var><var>0</var><text>&#160;</text><var>-</var><text>&#160;</text><var>$Amount</var></line>
<line linenr="050" indent="&#160;&#160;&#160;"><var>if&#160;</var><var>$Target&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="051" indent="&#160;&#160;&#160;&#160;"><var>=&#160;</var><var>$Target&#160;-&gt;</var><text>&#160;install&#160;</text><var>$AddNeg</var><text>&#160;units&#160;of&#160;</text><var>$Type</var></line>
<line linenr="052" indent="&#160;&#160;&#160;"><text>else</text></line>
<line linenr="053" indent="&#160;&#160;&#160;&#160;"><text>return&#160;</text><var>null</var></line>
<line linenr="054" indent="&#160;&#160;&#160;"><text>end</text></line>
<line linenr="055" indent="&#160;&#160;&#160;"><text>goto&#160;label&#160;</text><var>Skip</var></line>
<line linenr="056" indent="&#160;&#160;"><text>end</text></line>
<line linenr="057" indent="&#160;&#160;"></line>
<line linenr="058" indent="&#160;&#160;"><var>if&#160;</var><var>$SubType</var><text>&#160;</text><var>==</var><text>&#160;</text><var>11</var></line>
<line linenr="059" indent="&#160;&#160;&#160;"><var>if&#160;</var><var>$Target&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="060" indent="&#160;&#160;&#160;&#160;"><var>=&#160;</var><var>$Target&#160;-&gt;</var><text>&#160;install&#160;</text><var>-1</var><text>&#160;units&#160;of&#160;</text><var>$Type</var></line>
<line linenr="061" indent="&#160;&#160;&#160;"><text>else</text></line>
<line linenr="062" indent="&#160;&#160;&#160;&#160;"><text>return&#160;</text><var>null</var></line>
<line linenr="063" indent="&#160;&#160;&#160;"><text>end</text></line>
<line linenr="064" indent="&#160;&#160;&#160;"><text>goto&#160;label&#160;</text><var>Skip</var></line>
<line linenr="065" indent="&#160;&#160;"><text>end</text></line>
<line linenr="066" indent="&#160;&#160;"></line>
<line linenr="067" indent="&#160;&#160;"><var>if&#160;</var><var>$SubType</var><text>&#160;</text><var>&lt;=</var><text>&#160;</text><var>10</var></line>
<line linenr="068" indent="&#160;&#160;&#160;"><text>goto&#160;label&#160;</text><var>Skip</var></line>
<line linenr="069" indent="&#160;&#160;"><text>end</text></line>
<line linenr="070" indent="&#160;&#160;"></line>
<line linenr="071" indent="&#160;&#160;"><text>append&#160;</text><var>$Type</var><text>&#160;to&#160;array&#160;</text><var>$WareArray</var></line>
<line linenr="072" indent="&#160;&#160;"><text>inc&#160;</text><var>$WaresAmt&#160;=&#160;</var></line>
<line linenr="073" indent="&#160;&#160;"></line>
<line linenr="074" indent=""><var>Skip</var><text>:</text></line>
<line linenr="075" indent="&#160;"><text>end</text></line>
<line linenr="076" interruptable="@" indent="&#160;"><var>=&#160;</var><text>wait&#160;</text><var>10</var><text>&#160;ms</text></line>
<line linenr="077" indent=""><text>end</text></line>
<line linenr="078" indent=""></line>
<line linenr="079" indent=""><var>$KeepWares&#160;=&#160;</var><var>$WaresAmt</var><text>&#160;</text><var>*</var><text>&#160;</text><var>$HullPct</var><text>&#160;</text><var>/</var><text>&#160;</text><var>100</var></line>
<line linenr="080" indent=""><var>if&#160;not&#160;</var><var>$KeepWares</var><text>&#160;</text><var>&gt;</var><text>&#160;</text><var>0</var></line>
<line linenr="081" indent="&#160;"><text>goto&#160;label&#160;</text><var>Skip1</var></line>
<line linenr="082" indent=""><text>end</text></line>
<line linenr="083" indent=""><var>$RemWare&#160;=&#160;</var><var>$WaresAmt</var><text>&#160;</text><var>-</var><text>&#160;</text><var>$KeepWares</var></line>
<line linenr="084" indent=""><var>while&#160;</var><var>$RemWare</var></line>
<line linenr="085" indent="&#160;"><var>$Wsize&#160;=&#160;</var><text>&#160;size&#160;of&#160;array&#160;</text><var>$WareArray</var></line>
<line linenr="086" indent="&#160;"><var>$Random&#160;=&#160;</var><text>&#160;=&#160;random&#160;value&#160;from&#160;0&#160;to&#160;</text><var>$Wsize</var><text>&#160;-&#160;1</text></line>
<line linenr="087" indent="&#160;"><var>$Type&#160;=&#160;</var><var>$WareArray</var><text>[</text><var>$Random</var><text>]</text></line>
<line linenr="088" indent="&#160;"><var>if&#160;</var><var>$Target&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="089" indent="&#160;&#160;"><var>=&#160;</var><var>$Target&#160;-&gt;</var><text>&#160;install&#160;</text><var>-1</var><text>&#160;units&#160;of&#160;</text><var>$Type</var></line>
<line linenr="090" indent="&#160;&#160;"><text>remove&#160;element&#160;from&#160;array&#160;</text><var>$WareArray</var><text>&#160;at&#160;index&#160;</text><var>$Random</var></line>
<line linenr="091" indent="&#160;"><text>else</text></line>
<line linenr="092" indent="&#160;&#160;"><text>return&#160;</text><var>null</var></line>
<line linenr="093" indent="&#160;"><text>end</text></line>
<line linenr="094" indent="&#160;"><text>dec&#160;</text><var>$RemWare&#160;=&#160;</var></line>
<line linenr="095" indent=""><text>end</text></line>
<line linenr="096" indent=""><text>return&#160;</text><var>null</var></line>
<line linenr="097" indent=""></line>
<line linenr="098" indent=""><var>Skip1</var><text>:</text></line>
<line linenr="099" indent=""><var>$Wsize&#160;=&#160;</var><text>&#160;size&#160;of&#160;array&#160;</text><var>$WareArray</var></line>
<line linenr="100" indent=""><var>while&#160;</var><var>$Wsize</var></line>
<line linenr="101" indent="&#160;"><text>dec&#160;</text><var>$Wsize&#160;=&#160;</var></line>
<line linenr="102" indent="&#160;"><var>if&#160;</var><var>$Target&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="103" indent="&#160;&#160;"><var>=&#160;</var><var>$Target&#160;-&gt;</var><text>&#160;install&#160;</text><var>-1</var><text>&#160;units&#160;of&#160;</text><var>$Type</var></line>
<line linenr="104" indent="&#160;"><text>else</text></line>
<line linenr="105" indent="&#160;&#160;"><text>return&#160;</text><var>null</var></line>
<line linenr="106" indent="&#160;"><text>end</text></line>
<line linenr="107" interruptable="@" indent="&#160;"><var>=&#160;</var><text>wait&#160;</text><var>10</var><text>&#160;ms</text></line>
<line linenr="108" indent=""><text>end</text></line>
<line linenr="109" indent=""></line>
<line linenr="110" indent=""><text>return&#160;</text><var>null</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="BX.UniCap.RemExt" /><sval type="int" val="32" /><sval type="string" val="Remove percentage of installed extensions. Unified Capture" /><sval type="int" val="1" /><sval type="int" val="0" /><sval type="array" size="15"><sval type="string" val="Target" /><sval type="string" val="HullPct" /><sval type="string" val="WareArray" /><sval type="string" val="AmountArray" /><sval type="string" val="WaresAmt" /><sval type="string" val="MainType" /><sval type="string" val="NumSubs" /><sval type="string" val="SubType" /><sval type="string" val="Type" /><sval type="string" val="Amount" /><sval type="string" val="AddNeg" /><sval type="string" val="KeepWares" /><sval type="string" val="RemWare" /><sval type="string" val="Wsize" /><sval type="string" val="Random" /></sval><sval type="array" size="79"><sval type="array" size="4"><sval type="int" val="158" /><sval type="int" val="5" /><sval type="string" val="BX.UniCap.Target" /><sval type="int" val="0" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="-536870140" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="4"><sval type="int" val="158" /><sval type="int" val="5" /><sval type="string" val="BX.UniCap.HullPct" /><sval type="int" val="1" /></sval><sval type="array" size="4"><sval type="int" val="128" /><sval type="int" val="2" /><sval type="int" val="4" /><sval type="int" val="0" /></sval><sval type="array" size="4"><sval type="int" val="128" /><sval type="int" val="3" /><sval type="int" val="4" /><sval type="int" val="0" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="5" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="16" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="4"><sval type="int" val="658" /><sval type="int" val="6" /><sval type="int" val="131074" /><sval type="int" val="5" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="7" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610599415" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="143" /><sval type="int" val="7" /></sval><sval type="array" size="6"><sval type="int" val="657" /><sval type="int" val="8" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="7" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="-1610608637" /></sval><sval type="array" size="6"><sval type="int" val="618" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="9" /><sval type="int" val="131074" /><sval type="int" val="8" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="17" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610599933" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="2" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="2" /><sval type="int" val="-2" /></sval><sval type="array" size="25"><sval type="int" val="104" /><sval type="int" val="-1610607613" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="4" /><sval type="int" val="45" /><sval type="int" val="15" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="4" /><sval type="int" val="42" /><sval type="int" val="15" /><sval type="int" val="4" /><sval type="int" val="15" /><sval type="int" val="9" /><sval type="int" val="7" /><sval type="int" val="-1" /><sval type="int" val="5" /><sval type="int" val="-2" /><sval type="int" val="9" /><sval type="int" val="-4" /><sval type="int" val="4" /><sval type="int" val="-5" /></sval><sval type="array" size="2"><sval type="int" val="100" /><sval type="int" val="49" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610607101" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="4" /><sval type="int" val="39" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="2"><sval type="int" val="100" /><sval type="int" val="49" /></sval><sval type="array" size="25"><sval type="int" val="104" /><sval type="int" val="-1610605565" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="4" /><sval type="int" val="30" /><sval type="int" val="15" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="4" /><sval type="int" val="26" /><sval type="int" val="15" /><sval type="int" val="4" /><sval type="int" val="15" /><sval type="int" val="9" /><sval type="int" val="7" /><sval type="int" val="-1" /><sval type="int" val="5" /><sval type="int" val="-2" /><sval type="int" val="9" /><sval type="int" val="-4" /><sval type="int" val="4" /><sval type="int" val="-5" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="-1610606077" /></sval><sval type="array" size="8"><sval type="int" val="647" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="-1" /><sval type="int" val="131074" /><sval type="int" val="8" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="27" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="100" /><sval type="int" val="49" /></sval><sval type="array" size="25"><sval type="int" val="104" /><sval type="int" val="-1610602749" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="4" /><sval type="int" val="18" /><sval type="int" val="15" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="4" /><sval type="int" val="16" /><sval type="int" val="15" /><sval type="int" val="4" /><sval type="int" val="15" /><sval type="int" val="9" /><sval type="int" val="7" /><sval type="int" val="-1" /><sval type="int" val="5" /><sval type="int" val="-2" /><sval type="int" val="9" /><sval type="int" val="-4" /><sval type="int" val="4" /><sval type="int" val="-5" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="-1610604541" /></sval><sval type="array" size="6"><sval type="int" val="618" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="9" /><sval type="int" val="131074" /><sval type="int" val="8" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="33" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="10" /><sval type="int" val="3" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="15" /><sval type="int" val="12" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="12" /><sval type="int" val="-2" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="-1610603261" /></sval><sval type="array" size="8"><sval type="int" val="647" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="10" /><sval type="int" val="131074" /><sval type="int" val="8" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="38" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="100" /><sval type="int" val="49" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610601213" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="4" /><sval type="int" val="11" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="-1610601725" /></sval><sval type="array" size="8"><sval type="int" val="647" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="-1" /><sval type="int" val="131074" /><sval type="int" val="8" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="44" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="100" /><sval type="int" val="49" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610600701" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="4" /><sval type="int" val="10" /><sval type="int" val="15" /><sval type="int" val="5" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="5" /><sval type="int" val="-2" /></sval><sval type="array" size="2"><sval type="int" val="100" /><sval type="int" val="49" /></sval><sval type="array" size="5"><sval type="int" val="135" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="8" /></sval><sval type="array" size="2"><sval type="int" val="142" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="101" /><sval type="string" val="Skip" /></sval><sval type="array" size="4"><sval type="int" val="105" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="10" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="10" /></sval><sval type="array" size="19"><sval type="int" val="104" /><sval type="int" val="11" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="15" /><sval type="int" val="13" /><sval type="int" val="4" /><sval type="int" val="100" /><sval type="int" val="15" /><sval type="int" val="14" /><sval type="int" val="5" /><sval type="int" val="-1" /><sval type="int" val="13" /><sval type="int" val="-2" /><sval type="int" val="14" /><sval type="int" val="-4" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-536856828" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="11" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="2" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="2" /><sval type="int" val="-2" /></sval><sval type="array" size="2"><sval type="int" val="100" /><sval type="int" val="68" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="12" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="11" /><sval type="int" val="15" /><sval type="int" val="12" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="12" /><sval type="int" val="-2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610595575" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="12" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="4"><sval type="int" val="131" /><sval type="int" val="13" /><sval type="int" val="131074" /><sval type="int" val="2" /></sval><sval type="array" size="4"><sval type="int" val="106" /><sval type="int" val="14" /><sval type="int" val="131074" /><sval type="int" val="13" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="8" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="14" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="-1610596349" /></sval><sval type="array" size="8"><sval type="int" val="647" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="-1" /><sval type="int" val="131074" /><sval type="int" val="8" /></sval><sval type="array" size="5"><sval type="int" val="136" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="14" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="65" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="143" /><sval type="int" val="12" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="56" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="101" /><sval type="string" val="Skip1" /></sval><sval type="array" size="4"><sval type="int" val="131" /><sval type="int" val="13" /><sval type="int" val="131074" /><sval type="int" val="2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610592759" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="13" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="143" /><sval type="int" val="13" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="-1610593533" /></sval><sval type="array" size="8"><sval type="int" val="647" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="-1" /><sval type="int" val="131074" /><sval type="int" val="8" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="76" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="4"><sval type="int" val="105" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="10" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="70" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval></sval><sval type="int" val="0" /><sval type="array" size="41"><sval type="array" size="2"><sval type="int" val="3" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="3" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="4" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="7" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="9" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="16" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="17" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="18" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="20" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="20" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="22" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="22" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="26" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="27" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="28" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="28" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="32" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="33" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="37" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="38" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="39" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="39" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="43" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="44" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="45" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="45" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="47" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="47" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="49" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="50" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="52" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="52" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="55" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="64" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="65" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="67" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="68" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="75" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="76" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="78" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="78" /><sval type="int" val="2" /></sval></sval><sval type="int" val="0" /></sval>
</codearray>
</script>
